# class UnicastTable

*Defined at src/network/switch/unicast_table.h#13*

## Functions

### UnicastTable

*public void UnicastTable()*

*Defined at src/network/switch/unicast_table.h#15*

### get_port_list

*public std::vector<PortId> get_port_list(NodeId dst_node, PortId dst_port)*

### add_entry

*public bool add_entry(NodeId dst_node, PortId dst_port, PortId out_port)*

### delete_entry

*public bool delete_entry(NodeId dst_node, PortId dst_port, PortId out_port)*



